GIT compile problems

Help
2010-03-03
2013-05-28
  • JavaLinuxDev

    JavaLinuxDev - 2010-03-03

    Greetings.  As of today, 3/2/10, there's a bug in the configuration script in the source in the GIT repository.  The configuration script doesn't require the libsamplerate dev libraries, but they have to be installed for compilation to complete.

     
  • Josep Andreu

    Josep Andreu - 2010-03-03

    Hi

    That's not completly true … :-)  see .. they are:

    AC_CHECK_LIB(,src_simple)AC_CHECK_LIB(,src_simple)
    AC_CHECK_HEADERS()

    We recently added libsndfile and libsamplerate as dependencies, maybe you need to re run autogen.sh in order to generate a new configure script.

    Our script dont display error messages when some library is not installed .. only check and say (yes/no), with the recently additions to the program and the new dependencies, maybe is a good moment to put a final error check that display a resume.  We will think on that.

    Thanks.

    Josep

     

Log in to post a comment.